Hex57Moderatehealth index

elixir-unicode/unicodeUnicode codepoint introspection and fast detection (lower, upper, alpha, numeric, whitespace, ...) in Elixir
Elixir★ 43↓ 22.8K/moSep 9, 2026
crates.io57Moderatehealth index
Rust · Python★ 12↓ 5.3M/moSep 15, 2026
PyPI57Moderatehealth index

roskakori/CodecMapperBuild mapping files derived from Java Charsets which can be processed by Python's gencodec.py.
Python★ 7↓ 6.9M/moOct 19, 2026
crates.io57Moderatehealth index
Rust★ 603↓ 22.4M/moSep 17, 2026
npm57Moderatehealth index
JavaScript★ 1,674↓ 106M/moSep 17, 2026
npm57Moderatehealth index
JavaScript★ 2↓ 62.8K/moSep 9, 2026
npm57Moderatehealth index
TypeScript★ 3↓ 2.8M/moSep 15, 2026
crates.io57Moderatehealth index
Rust★ 200↓ 32.7M/moSep 17, 2026
npm56Moderatehealth index
JavaScript★ 48↓ 322.6K/moSep 21, 2026
crates.io56Moderatehealth index
Rust★ 69↓ 7M/moSep 17, 2026

gagolews/stringiFast and Portable Character String Processing in R (with the Unicode ICU)
C++ · C★ 318Sep 19, 2026
RubyGems56Moderatehealth index
Ruby★ 79Sep 22, 2026
npm · Packagist56Moderatehealth index
PHP · CSS★ 473↓ 1.1M/moSep 16, 2026
npm56Moderatehealth index

jsdom/tr46An implementation of the Unicode UTS #46: Unicode IDNA Compatibility Processing.
JavaScript★ 39↓ 807M/moSep 16, 2026
PyPI56Moderatehealth index

olavolav/uniplotLightweight plotting to the terminal. 4x resolution via Unicode.
Python★ 460↓ 102.7K/moOct 20, 2026
npm56Moderatehealth index

yobacca/natural-orderbyLightweight (< 1.6kB gzipped) and performant natural sorting of arrays and collections by differentiating between unicode characters, numbers, dates, etc.
TypeScript★ 67↓ 22M/moSep 23, 2026
Go★ 19Sep 14, 2026

clipperhouse/uax29A tokenizer based on Unicode text segmentation (UAX #29), for Go. Split graphemes, words, sentences.
Go★ 121Sep 14, 2026
RubyGems54Moderatehealth index
Ruby★ 15Sep 21, 2026
Packagist · npm54Moderatehealth index
PHP★ 76↓ 913.5K/moSep 18, 2026
npm54Moderatehealth index
JavaScript · TypeScript★ 4↓ 12.3K/moOct 12, 2026
npm54Moderatehealth index
JavaScript★ 2,930↓ 258M/moSep 16, 2026
npm53Moderatehealth index

SorinGFS/idn-hostnameAn internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46
JavaScript★ 0↓ 599.2K/moSep 13, 2026
crates.io53Moderatehealth index

VoidStarKat/widestring-rsA wide string Rust library for converting to and from wide-character strings, including UTF-16 and UTF-32 encoding.
Rust★ 102↓ 7.3M/moSep 17, 2026
crates.io53Moderatehealth index
Rust★ 24↓ 4.8M/moOct 20, 2026
Nim★ 37Sep 11, 2026
PyPI53Moderatehealth index
Python★ 11↓ 2M/moAug 27, 2026
npm51Moderatehealth index
JavaScript★ 635↓ 121M/moSep 16, 2026
crates.io51Moderatehealth index

magiclen/unicode-blocksThis crate contains a list of all unicode blocks and provides some functions to search across them.
Rust★ 11↓ 406.2K/moSep 13, 2026
npm51Moderatehealth index

mathiasbynens/regexpu-coreregexpu’s core functionality, i.e. `rewritePattern(pattern, flag, options)`, which enables rewriting regular expressions that make use of the ES6 `u` flag into equivalent ES5-compatible regular expression patterns.
JavaScript★ 82↓ 183M/moSep 16, 2026